Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1605200 - SELinux is preventing (fprintd) from 'mounton' accesses on the fichier /run/systemd/unit-root/proc/kallsyms.
Summary: SELinux is preventing (fprintd) from 'mounton' accesses on the fichier /run/s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0c4007fd6a2fdeb396136c15fc5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-20 12:37 UTC by Nicolas Mailhot
Modified: 2018-09-12 03:00 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.14.2-34.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-12 03:00:06 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2018-07-20 12:37:42 UTC
Description of problem:
SELinux is preventing (fprintd) from 'mounton' accesses on the fichier /run/systemd/unit-root/proc/kallsyms.

*****  Plugin restorecon (99.5 confidence) suggests   ************************

Si vous souhaitez corriger l'étiquette. 
L'étiquette par défaut de /run/systemd/unit-root/proc/kallsyms devrait être init_var_run_t.
Then vous pouvez lancer restorecon. La tentative d’accès pourrait avoir été stoppée due à des permissions insuffisantes d’accès au dossier parent, auquel cas essayez de changer la commande suivante en conséquence.
Do
# /sbin/restorecon -v /run/systemd/unit-root/proc/kallsyms

*****  Plugin catchall (1.49 confidence) suggests   **************************

Si vous pensez que (fprintd) devrait être autorisé à accéder mounton sur kallsyms file par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# ausearch -c "(fprintd)" --raw | audit2allow -M my-fprintd
# semodule -X 300 -i my-fprintd.pp

Additional Information:
Source Context                system_u:system_r:init_t:s0
Target Context                system_u:object_r:system_map_t:s0
Target Objects                /run/systemd/unit-root/proc/kallsyms [ file ]
Source                        (fprintd)
Source Path                   (fprintd)
Port                          <Inconnu>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.2-26.fc29.noarch selinux-
                              policy-3.14.2-28.fc29.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.18.0-0.rc4.git4.1.fc29.x86_64 #1
                              SMP Fri Jul 13 15:58:04 UTC 2018 x86_64 x86_64
Alert Count                   7
First Seen                    2018-07-20 14:29:42 CEST
Last Seen                     2018-07-20 14:36:51 CEST
Local ID                      64a9e47b-8e9d-4901-aa4e-8135b5b38b4a

Raw Audit Messages
type=AVC msg=audit(1532090211.33:266): avc:  denied  { mounton } for  pid=2456 comm="(fprintd)" path="/run/systemd/unit-root/proc/kallsyms" dev="proc" ino=4026532084 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:system_map_t:s0 tclass=file permissive=1


Hash: (fprintd),init_t,system_map_t,file,mounton

Version-Release number of selected component:
selinux-policy-3.14.2-26.fc29.noarch
selinux-policy-3.14.2-28.fc29.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.18.0-0.rc4.git4.1.fc29.x86_64
type:           libreport

Comment 1 Jan Kurik 2018-08-14 11:16:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Fedora Update System 2018-09-11 12:53:35 UTC
selinux-policy-3.14.2-34.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-db240a1726

Comment 3 Fedora Update System 2018-09-12 03:00:06 UTC
selinux-policy-3.14.2-34.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.